# automatically added by DRP terraform-apply for cluster/machine-types
{{- $all := list }}
{{- if .ParamExists "cluster/machine-types" }}
variable "drp_types" {
  type      = list(string)
  default   = {{ .ParamExpand "cluster/machine-types" | toJson }}
}
# automatically added by DRP terraform-apply for cluster/machines
{{    range $k := .ParamExpand "cluster/machine-types" }}
{{-     $names    := list }}
{{-     $workflow := $.Param "broker/set-workflow" }}
{{-     $pipeline := $.Param "broker/set-pipeline" }}
{{-     $icon     := $.Param "broker/set-icon" }}
{{-     $color     := $.Param "broker/set-color" }}
{{-     $tags     := list ($.Param "cluster/profile") }}
{{-     if $.ParamExists "cluster/machines" }}
{{-       $hash := $.ParamExpand "cluster/machines" }}
{{-       if hasKey $hash $k }}
{{-         $v := get $hash $k}}
{{-         $names = $v.names }}
{{-         if $v.workflow }}
{{-           $workflow = $v.workflow }}
{{-         end }}
{{-         if $v.pipeline }}
{{-           $pipeline = $v.pipeline }}
{{-         end }}
{{-         if $v.icon }}
{{-           $icon = $v.icon }}
{{-         end }}
{{-         if $v.color }}
{{-           $color = $v.color }}
{{-         end }}
{{-         if $v.tags }}
{{-           $tags = concat $tags $v.tags }}
{{-         end }}
{{-       end }}
{{-     end }}
{{-     if $.Param "cluster/destroy" }}
{{-       $names = list }}
{{-     end }}
{{ $all = concat $all $names }}
variable "drp_{{$k}}_names" {
  type      = list(string)
  default   = {{ toJson ($.ObjectExpand $names) }}
}
variable "drp_{{$k}}_workflow" {
  type      = string
  default   = "{{ $.ObjectExpand $workflow }}"
}
variable "drp_{{$k}}_pipeline" {
  type      = string
  default   = "{{ $.ObjectExpand $pipeline }}"
}
variable "drp_{{$k}}_icon" {
  type      = string
  default   = "{{ $.ObjectExpand $icon }}"
}
variable "drp_{{$k}}_color" {
  type      = string
  default   = "{{ $.ObjectExpand $color }}"
}
variable "drp_{{$k}}_tags" {
  type      = string
  default   = "{{ $.ObjectExpand $tags | toJson | b64enc }}"
}
{{-   end}}
{{- end}}
variable "drp_names" {
  type      = list(string)
  default   = {{ toJson ($.ObjectExpand $all) }}
}
{{ if $.ParamExists "rsa/key-public" }}
variable "drp_public_key" {
  type      = string
  default   = "{{ $.Param "rsa/key-public" }}"
}
{{ end }}
{{ if $.ParamExists "rsa/key-name" }}
variable "drp_public_name" {
  type      = string
  default   = "{{ $.Param "rsa/key-name" }}"
}
{{ end }}
variable "drp_provision_host" {
  type      = string
  default   = "{{ $.SecureProvisionerHostURL }}"
}
